dbscripts - Bug #2007

[db-import-pkg] Can't re-add previously removed packages

2018-09-24 06:38 AM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

From the db-update step:

Sep 23 08:13:16 db-import-pkg[23947]:
already exists in another repository
Sep 23 08:13:16 db-import-pkg[23947]:
Sep 23 08:13:16 db-import-pkg[23947]:
Sep 23 08:13:16 systemd[1]:

s=10/USR1

==> ERROR: Package community/catdoc-0.95-1.1-1686.pkg.tar.xz

==> Removing left over lock from [community] (1686)
==> ERROR: An unknown error has occurred. Exiting...
db-import@archlinux32.service: Main process exited, code=killed, statu

This is caused by the fact that /srv/repo/main/pool/archlinux32/catdoc-0.95-1.1-i686.pkg.tar.xz exists but isn't part of any repo, but

hasn't been cleaned up yet (db-cleanup should claim it at next run).

History

#1 - 2018-09-24 06:43 AM - lukeshu

Maybe add a step between db-move and db-update that calls db-repo-add on packages present in the pool but not present in other repos?

#2 - 2018-09-24 09:33 PM - lukeshu

Or just have $PKGPOOL as an implicit member of INHERIT=(), and modify db-update to allow that.

#3 - 2018-09-25 01:44 AM - lukeshu
- % Done changed from 0 to 100

- Assignee set to lukeshu

Fixed in v20180924.

#4 - 2018-09-25 01:44 AM - lukeshu

- Status changed from open to fixed
